# cGELSkeletonLink Class Reference
[Module - GEL Dynamics Engine (Deformable Body Simulation)]

cGELSkeletonLink models a link between two nodes. More...

`#include <CGELSkeletonLink.h>`

List of all members.

## Public Member Functions
| cGELSkeletonLink (cGELSkeletonNode *a_node0, cGELSkeletonNode *a_node1)
| Constructor of cGELSkeletonLink.
| ~cGELSkeletonLink ()
| Destructor of cGELSkeletonLink.
void | render ()
void | computeForces ()
## Public Attributes
cGELSkeletonNode * | m_node0
| Node 0 of current link.
cGELSkeletonNode * | m_node1
| Node 1 of current link.
cColorf | m_color
| Color used to display NN-links.
double | m_kSpringElongation
| Elongation spring constant.
double | m_kSpringFlexion
| Angular spring constant.
double | m_kSpringTorsion
| Torsional spring constant.
bool | m_enabled
| Is link enabled.
cVector3d | m_nzLink01
| Linear damping constant.
cVector3d | m_wzLink01
| Initial link vector between node 0 and node 1 in world coordinates.
cVector3d | m_nzLink10
| Initial link vector between node 1 and node 0 in node1 reference frame.
cVector3d | m_wzLink10
| Initial link vector between node 1 and node 0 in world coordinates.
cVector3d | m_wLink01
| Current link between node 0 and node 1 in world coordinates.
cVector3d | m_wLink10
| Current link between node 1 and node 0 in world coordinates.
cVector3d | m_torsionAxisAngle
| Torsional angle.
cVector3d | m_A0
| Reference vector frame A on sphere 0 (local coordinates).
cVector3d | m_wA0
| Reference vector frame A on sphere 0 (world coordinates).
cVector3d | m_B0
| Reference vector frame B on sphere 0 (local coordinates).
cVector3d | m_wB0
| Reference vector frame B on sphere 0 (world coordinates).
cVector3d | m_A1
| Reference vector frame A on sphere 1 (local coordinates).
cVector3d | m_wA1
| Reference vector frame A on sphere 1 (world coordinates).
double | m_length0
| Initial length of link.
double | m_length
| Current length of link.
## Static Public Attributes
static double | default_kSpringElongation = 100.0
| Default property - linear stiffness.
static double | default_kSpringFlexion = 0.1
| Default property - angular stiffness.
static double | default_kSpringTorsion = 0.1
| Default property - torsional stiffness.
static cColorf | default_color
| Default property - color property.

## Detailed Description

cGELSkeletonLink models a link between two nodes.

## Constructor & Destructor Documentation

cGELSkeletonLink::cGELSkeletonLink | ( | cGELSkeletonNode * | a_node0,
|  | cGELSkeletonNode * | a_node1 |
| ) |  |  |

Constructor of cGELSkeletonLink.

Constructor of cGELSkeletonLink.

Parameters:

  | a_node0 | Node 0.
  | a_node1 | Node 1.

## Member Function Documentation

void cGELSkeletonLink::computeForces | ( |  | ) | `[inline]`

Compute forces applied on mass nodes.

void cGELSkeletonLink::render | ( |  | ) | `[inline]`

Render link in OpenGL.

## Member Data Documentation

cVector3d cGELSkeletonLink::m_nzLink01

Linear damping constant.

Angular damping constant. Torsion damping constant. Initial link vector between node 0 and node 1 in node0 reference frame.

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/modules/GEL/CGELSkeletonLink.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/modules/GEL/CGELSkeletonLink.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.